Package org.drinkless.tdlib

# Class TdApi.SendPaymentForm

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.PaymentResult>
org.drinkless.tdlib.TdApi.SendPaymentForm

Enclosing class:
  `TdApi`

public static class TdApi.SendPaymentForm extends TdApi.Function<TdApi.PaymentResult>
Sends a filled-out payment form to the bot for final verification.

Returns `PaymentResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputCredentials`
  `credentials`
  The credentials chosen by user for payment; pass null for a payment in Telegram Stars.
  `TdApi.InputInvoice`
  `inputInvoice`
  The invoice.
  `String`
  `orderInfoId`
  Identifier returned by validateOrderInfo, or an empty string.
  `long`
  `paymentFormId`
  Payment form identifier returned by getPaymentForm.
  `String`
  `shippingOptionId`
  Identifier of a chosen shipping option, if applicable.
  `long`
  `tipAmount`
  Chosen by the user amount of tip in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendPaymentForm()`
  Default constructor for a function, which sends a filled-out payment form to the bot for final verification.
  `SendPaymentForm(TdApi.InputInvoice inputInvoice, long paymentFormId, String orderInfoId, String shippingOptionId, TdApi.InputCredentials credentials, long tipAmount)`
  Creates a function, which sends a filled-out payment form to the bot for final verification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inputInvoice

    public TdApi.InputInvoice inputInvoice
    The invoice.

  - ### paymentFormId

    public long paymentFormId
    Payment form identifier returned by getPaymentForm.

  - ### orderInfoId

    public String orderInfoId
    Identifier returned by validateOrderInfo, or an empty string.

  - ### shippingOptionId

    public String shippingOptionId
    Identifier of a chosen shipping option, if applicable.

  - ### credentials

    public TdApi.InputCredentials credentials
    The credentials chosen by user for payment; pass null for a payment in Telegram Stars.

  - ### tipAmount

    public long tipAmount
    Chosen by the user amount of tip in the smallest units of the currency.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendPaymentForm

    public SendPaymentForm()
    Default constructor for a function, which sends a filled-out payment form to the bot for final verification.

    Returns `PaymentResult`

  - ### SendPaymentForm

    public SendPaymentForm(TdApi.InputInvoice inputInvoice, long paymentFormId, String orderInfoId, String shippingOptionId, TdApi.InputCredentials credentials, long tipAmount)
    Creates a function, which sends a filled-out payment form to the bot for final verification.

    Returns `PaymentResult`

    Parameters:
      `inputInvoice` - The invoice.
      `paymentFormId` - Payment form identifier returned by getPaymentForm.
      `orderInfoId` - Identifier returned by validateOrderInfo, or an empty string.
      `shippingOptionId` - Identifier of a chosen shipping option, if applicable.
      `credentials` - The credentials chosen by user for payment; pass null for a payment in Telegram Stars.
      `tipAmount` - Chosen by the user amount of tip in the smallest units of the currency.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.PaymentResult>`
    Returns:
      this.CONSTRUCTOR